--- /dev/null
+#!/bin/bash
+
+#
+# Run iperf server and client on remote KVM systems.
+#
+# 2011, Razvan Deaconescu, razvan.deaconescu@cs.pub.ro
+#
+
+default_config=destinations.default.conf
+
+if test $# -ge 2; then
+ echo "Usage: $0 [config]" 1>&2
+ exit 1
+elif test $# -eq 1; then
+ config="$1"
+else
+ config=${default_config}
+fi
+
+# 1 - debug enabled
+# 0 or none - debug disabled
+_DEBUG_=1
+
+DEBUG()
+{
+ if test "x${_DEBUG_}" == "x1"; then
+ echo $@ 1>&2
+ fi
+}
+
+while read local_port destination; do
+ DEBUG "Running iperf server on ${destination}"
+ ssh -n -f -l root localhost -p ${local_port} "iperf -s"
+ read local_port_c destination_c
+ DEBUG "Running iperfc lient on ${destination_c}"
+ ssh -n -f -l root localhost -p ${local_port_c} "iperf -c ${destination}"
+done < <(grep -v '^[ \t]*#' ${config} | grep -v '^[ \t]*$')
+
+sleep 20